Method: projects.locations.runtimes.create

指定されたプロジェクトとロケーションに新しい Runtime を作成します。

HTTP リクエスト

POST https://notebooks.googleapis.com/v1/{parent}/runtimes

パスパラメータ

パラメータ
parent

string

必須。形式: parent=projects/{projectId}/locations/{location}

認可には、指定されたリソース parent に対する次の IAM の権限が必要です。

  • notebooks.runtimes.create

クエリ パラメータ

パラメータ
runtimeId

string

必須。この Runtime のユーザー定義の一意の ID。

requestId

string

べき等リクエスト UUID。

リクエストの本文

リクエストの本文には Runtime のインスタンスが含まれます。

レスポンスの本文

成功した場合、レスポンスの本文には、新しく作成された Operation のインスタンスが含まれます。

認可スコープ

次の OAuth スコープのいずれかが必要です。

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

詳細については、Authentication Overview をご覧ください。